# List activities

Endpoint: GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/activities
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

  - `kind` (array)
    The kind of the pull request activity to include in the result.
    Enum: "change-comment", "comment", "system"

  - `type` (array)
    The type of the pull request activity to include in the result.
    Enum: "auto-merge-unsupported-merge-method", "branch-delete", "branch-restore", "branch-update", "code-comment", "comment", "label-modify", "merge", "merge-queue-added", "merge-queue-removed", "non-unique-merge-base", "review-submit", "reviewer-add", "reviewer-delete", "state-change", "target-branch-change", "title-change", "user-group-reviewer-add", "user-group-reviewer-delete"

  - `after` (integer)
    The result should contain only entries created at and after this timestamp (unix millis).

  - `before` (integer)
    The result should contain only entries created before this timestamp (unix millis).

  - `limit` (integer)
    The maximum number of results to return.

## Path parameters:

  - `repo_identifier` (string, required)

  - `pullreq_number` (integer, required)

## Response 200 fields (application/json):

  - `author` (object,null)

  - `author.created` (integer)

  - `author.display_name` (string)

  - `author.email` (string)

  - `author.id` (integer)

  - `author.type` (string)
    Enum: "service", "serviceaccount", "user"

  - `author.uid` (string)

  - `author.updated` (integer)

  - `code_comment` (object)

  - `code_comment.line_new` (integer)

  - `code_comment.line_old` (integer)

  - `code_comment.merge_base_sha` (string)

  - `code_comment.outdated` (boolean)

  - `code_comment.path` (string)

  - `code_comment.source_sha` (string)

  - `code_comment.span_new` (integer)

  - `code_comment.span_old` (integer)

  - `created` (integer)

  - `deleted` (integer,null)

  - `edited` (integer)

  - `id` (integer)

  - `kind` (string)
    Enum: "change-comment", "comment", "system"

  - `mentions` (object)

  - `metadata` (object)

  - `metadata.mentions` (object)

  - `metadata.mentions.ids` (array)

  - `metadata.mentions.user_group_ids` (array)

  - `metadata.reactions` (object)

  - `metadata.reactions.counts` (object)

  - `metadata.suggestions` (object)

  - `metadata.suggestions.applied_check_sum` (string)

  - `metadata.suggestions.applied_commit_sha` (string)

  - `metadata.suggestions.check_sums` (array)

  - `order` (integer)

  - `parent_id` (integer,null)

  - `payload` (any)

  - `pullreq_id` (integer)

  - `reactions` (array)

  - `reactions.author` (object,null)

  - `reactions.emoji` (string)

  - `repo_id` (integer)

  - `resolved` (integer,null)

  - `resolver` (object,null)

  - `sub_order` (integer)

  - `text` (string)

  - `type` (string)
    Enum: "auto-merge-unsupported-merge-method", "branch-delete", "branch-restore", "branch-update", "code-comment", "comment", "label-modify", "merge", "merge-queue-added", "merge-queue-removed", "non-unique-merge-base", "review-submit", "reviewer-add", "reviewer-delete", "state-change", "target-branch-change", "title-change", "user-group-reviewer-add", "user-group-reviewer-delete"

  - `updated` (integer)

  - `user_group_mentions` (object)

## Response 400 fields (application/json):

  - `message` (string)

  - `values` (object)


